<div class="grid mx-6">
  <div class="col-12">
    <h1 style="text-align: center">APIARIOS</h1>
  </div>

  <div class="col-2" [hidden]="g.apia_crud_cad">
    <button
      pButton
      pRipple
      type="button"
      class="w-full p-button-success"
      icon="pi pi-plus"
      label="Cadastrar Apiario"
      (click)="trocarShow(true)"
    ></button>
  </div>

  <div class="col-2" [hidden]="!g.apia_crud_cad">
    <button
      pButton
      pRipple
      type="button"
      class="w-full p-button-success"
      icon="pi pi-plus"
      label="Salvar Apiario"
      (click)="salvar()"
    ></button>
  </div>
  <div class="col-2" [hidden]="!g.apia_crud_cad">
    <button
      pButton
      pRipple
      type="button"
      class="w-full p-button-secondary"
      icon="pi pi-plus"
      label="Cancelar"
      (click)="cancelar()"
    ></button>
  </div>

  <div class="col-12" [hidden]="g.apia_crud_cad">
    <p-table
      #tableApiarios
      [value]="g.apia_arr"
      selectionMode="single"
      [paginator]="true"
      [loading]="g.buscandoWS"
      [rowHover]="true"
      [rows]="10"
      styleClass="p-datatable-sm"
      dataKey="seqApiario"
      [globalFilterFields]="['ProNom', 'Nome']"
      currentPageReportTemplate="Mostrando de {first} a {last} de {totalRecords} apiarios"
      [showCurrentPageReport]="true"
    >
      <ng-template pTemplate="caption">
        <div class="p-d-flex">
          <span class="p-input-icon-left p-ml-auto">
            <i class="pi pi-search"></i>
            <input
              type="text"
              class="col-12"
              pInputText
              (input)="
                tableApiarios.filterGlobal(
                  $any($event.target).value,
                  'contains'
                )
              "
              placeholder="Buscar"
            />
          </span>
        </div>
      </ng-template>
      <ng-template pTemplate="header">
        <tr>
          <th>Sequencia</th>
          <th>Produtor</th>
          <th>Apiario</th>
          <th>Endereco</th>
          <th>Latitude</th>
          <th>Longitude</th>
          <th>Quantidade de Colmeias</th>
        </tr>
      </ng-template>
      <ng-template pTemplate="body" let-apiarios>
        <tr [pSelectableRow]="apiarios">
          <td>{{ apiarios.seqApiario }}</td>
          <td>{{ apiarios.ProNom }}</td>
          <td>{{ apiarios.Nome }}</td>
          <td>{{ apiarios.Endereco }}</td>
          <td>{{ apiarios.Latitude }}</td>
          <td>{{ apiarios.Longitude }}</td>
          <td>{{ apiarios.QuantidadeColmeia }}</td>
        </tr>
      </ng-template>
    </p-table>
  </div>

  <div class="col-12" [hidden]="!g.apia_crud_cad">
    <app-apiarios-crud [g]="g"></app-apiarios-crud>
  </div>
</div>
